import RPi.GPIO as GPIO
import time
GPIO.setmode(GPIO.BCM)

# Alle Segment-Pins auf Output stellen:
GPIO.setup(4, GPIO.OUT, initial = False)   # Segment A
GPIO.setup(5, GPIO.OUT, initial = False)   # Segment B
GPIO.setup(6, GPIO.OUT, initial = False)   # Segment C
GPIO.setup(12, GPIO.OUT, initial = False)  # Segment D
GPIO.setup(13, GPIO.OUT, initial = False)  # Segment E
GPIO.setup(16, GPIO.OUT, initial = False)  # Segment F
GPIO.setup(17, GPIO.OUT, initial = False)  # Segment G

# Alle Stellen-Pins auf Output stellen:
GPIO.setup(22, GPIO.OUT, initial = True)   # DIG.1
GPIO.setup(23, GPIO.OUT, initial = True)   # DIG.2
GPIO.setup(24, GPIO.OUT, initial = True)   # DIG.3
GPIO.setup(25, GPIO.OUT, initial = True)   # DIG.4

print ("Strg+C beendet das Programm")
try:
	while True:
		# Segment C von Dig:4 einschalten:
		GPIO.output(6,True)
		GPIO.output(25,False)
		time.sleep(1)
		# ... und ausschalten
		# (eine der beiden Anweisungen wuerde auch reichen):
		GPIO.output(6,False)
		GPIO.output(25,True)
		time.sleep(1)    
except KeyboardInterrupt:
	print("Programm abgebrochen.")
	GPIO.cleanup()
